%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jbossws-common-tools
Version:          1.2.0
Release:          5%{?dist}
Summary:          JBossWS Common Tools
Group:            Development/Libraries
License:          LGPLv2+ and ASL 2.0
URL:              http://www.jboss.org/jbossws

# svn export http://anonsvn.jboss.org/repos/jbossws/common-tools/tags/jbossws-common-tools-1.2.0.Final/ jbossws-common-tools-1.2.0.Final
# tar cafJ jbossws-common-tools-1.2.0.Final.tar.xz jbossws-common-tools-1.2.0.Final
Source0:          jbossws-common-tools-%{namedversion}.tar.xz
Source1:          http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:        noarch

BuildRequires:    ant
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-dependency-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-surefire-provider-junit
BuildRequires:    gnu-getopt
BuildRequires:    jbossws-spi
BuildRequires:    jbossws-api
BuildRequires:    jbossws-parent
BuildRequires:    junit
BuildRequires:    plexus-pom
BuildRequires:    plexus-components-pom

%if 0%{?fedora} >= 21
BuildRequires:    log4j12
%else
BuildRequires:    log4j
%endif

%description
JBoss Web Services - Common Tools

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jbossws-common-tools-%{namedversion}

cp %{SOURCE1} .

%pom_xpath_set "pom:dependencies/pom:dependency[pom:artifactId = 'log4j']/pom:version" "12"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE-2.0.txt

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jul 02 2014 Marek Goldmann <mgoldman@redhat.com> - 1.2.0-4
- Log4j and junit upgrade

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.2.0-2
- Use Requires: java-headless rebuild (#1067528)

* Tue Aug 06 2013 Marek Goldmann <mgoldman@redhat.com> - 1.2.0-1
- Upstream release 1.2.0.Final

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.1.0-6
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Nov 21 2012 Marek Goldmann <mgoldman@redhat.com> - 1.1.0-5
- Version requirements for jbossws-spi and jbossws-api packages

* Tue Nov 13 2012 Marek Goldmann <mgoldman@redhat.com> - 1.1.0-4
- Made plexus- BR required only for F18+

* Mon Nov 12 2012 Marek Goldmann <mgoldman@redhat.com> - 1.1.0-3
- Added license file

* Mon Nov 12 2012 Marek Goldmann <mgoldman@redhat.com> - 1.1.0-2
- Missing BR

* Mon Nov 12 2012 Marek Goldmann <mgoldman@redhat.com> - 1.1.0-1
- Upstream release 1.1.0.Final

* Mon Nov 12 2012 Marek Goldmann <mgoldman@redhat.com> - 1.0.1-2
- Initial packaging

